/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2007. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  LFG1_PANEL                      1
#define  LFG1_PANEL_LFGEN1_FREQ          2
#define  LFG1_PANEL_LFGEN1_OK            3       /* callback function: Lfgen1Ok */
#define  LFG1_PANEL_LFGEN1_PERIOD        4
#define  LFG1_PANEL_LFGEN1_FALL          5
#define  LFG1_PANEL_LFGEN1_HIGH          6
#define  LFG1_PANEL_LFGEN1_PULSEDUTY     7
#define  LFG1_PANEL_LFGEN1_PULSEWIDTH    8
#define  LFG1_PANEL_LFGEN1_TRIANGLERISE  9
#define  LFG1_PANEL_LFGEN1_TRIANGLEPERIOD 10
#define  LFG1_PANEL_LFGEN1_PULSEPERIOD   11
#define  LFG1_PANEL_LFGEN1_RISE          12
#define  LFG1_PANEL_LFGEN1_SHAPE         13      /* callback function: LFGen1ShapeChanged */

#define  LFG2PANEL                       2
#define  LFG2PANEL_LFGEN2_FREQ           2
#define  LFG2PANEL_LFGEN1_OK             3       /* callback function: Lfgen2Ok */
#define  LFG2PANEL_LFGEN2_PERIOD         4
#define  LFG2PANEL_LFGEN2_FALL           5
#define  LFG2PANEL_LFGEN2_HIGH           6
#define  LFG2PANEL_LFGEN2_PULSEDUTY      7
#define  LFG2PANEL_LFGEN2_PULSEWIDTH     8
#define  LFG2PANEL_LFGEN2_TRIANGLERISE   9
#define  LFG2PANEL_LFGEN2_TRIANGLEPERIOD 10
#define  LFG2PANEL_LFGEN2_PULSEPERIOD    11
#define  LFG2PANEL_LFGEN2_RISE           12
#define  LFG2PANEL_LFGEN2_SHAPE          13      /* callback function: LFGen2ShapeChanged */

#define  NOISEPANEL                      3
#define  NOISEPANEL_NOISE_BWID           2
#define  NOISEPANEL_NOISE_OK             3       /* callback function: NoiseOk */
#define  NOISEPANEL_NOISE_DISTRIBUTION   4

#define  PANEL                           4
#define  PANEL_INSTR_DESC                2
#define  PANEL_RESET                     3
#define  PANEL_IDQUERY                   4
#define  PANEL_RF_FREQ                   5
#define  PANEL_RF_LEVEL                  6
#define  PANEL_RF_STATE                  7
#define  PANEL_Exit                      8       /* callback function: exitApp */
#define  PANEL_APPLY                     9       /* callback function: apllySettings */
#define  PANEL_TEXT2                     10
#define  PANEL_TEXT1                     11
#define  PANEL_DECORATION_4              12
#define  PANEL_DECORATION_2              13
#define  PANEL_DECORATION_3              14
#define  PANEL_AM_STATE                  15
#define  PANEL_TEXT                      16
#define  PANEL_AM_SOURCE                 17      /* callback function: SourceChanged */
#define  PANEL_AM_DEPTH                  18
#define  PANEL_NOISE_BUTTON              19      /* callback function: NoiseButton */
#define  PANEL_LFGEN2_BUTTON             20      /* callback function: Lfgen2Button */
#define  PANEL_LFGEN1_BUTTON             21      /* callback function: Lfgen1Button */


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Lfgen1Button(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Lfgen1Ok(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LFGen1ShapeChanged(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Lfgen2Button(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Lfgen2Ok(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LFGen2ShapeChanged(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK NoiseButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK NoiseOk(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK SourceChanged(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
